package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态格对象 drag_table
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public class DragTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 表格主键 */
    private Long tId;

    /** 表格名称 */
    @Excel(name = "表格名称")
    private String dtName;

    /** 表格别名 */
    @Excel(name = "表格别名")
    private String dtNickname;

    /** table编号 */
    @Excel(name = "table编号")
    private String tableKey;

    /** sql编号 */
    @Excel(name = "sql编号")
    private String sqlKey;

    /** 绑定表名称 */
    @Excel(name = "绑定表名称")
    private String dtTableName;

    /** 表格描述 */
    @Excel(name = "表格描述")
    private String dtNotes;

    /** 列字段标题名称 */
    @Excel(name = "列字段标题名称")
    private String dtColumnName;

    /** 备用列 */
    @Excel(name = "备用列")
    private String spare;

    /** 备用列 */
    @Excel(name = "备用列")
    private String spare1;

    /** 逻辑删除 */
    private String delFlag;

    /** 是否显示列表复选框(0:显示；1;不显示) */
    private String isSelection;

    public void settId(Long tId) 
    {
        this.tId = tId;
    }

    public Long gettId() 
    {
        return tId;
    }
    public void setDtName(String dtName) 
    {
        this.dtName = dtName;
    }

    public String getDtName() 
    {
        return dtName;
    }
    public void setDtNickname(String dtNickname) 
    {
        this.dtNickname = dtNickname;
    }

    public String getDtNickname() 
    {
        return dtNickname;
    }
    public void setTableKey(String tableKey) 
    {
        this.tableKey = tableKey;
    }

    public String getTableKey() 
    {
        return tableKey;
    }
    public void setSqlKey(String sqlKey) 
    {
        this.sqlKey = sqlKey;
    }

    public String getSqlKey() 
    {
        return sqlKey;
    }
    public void setDtTableName(String dtTableName) 
    {
        this.dtTableName = dtTableName;
    }

    public String getDtTableName() 
    {
        return dtTableName;
    }
    public void setDtNotes(String dtNotes) 
    {
        this.dtNotes = dtNotes;
    }

    public String getDtNotes() 
    {
        return dtNotes;
    }
    public void setDtColumnName(String dtColumnName) 
    {
        this.dtColumnName = dtColumnName;
    }

    public String getDtColumnName() 
    {
        return dtColumnName;
    }
    public void setSpare(String spare) 
    {
        this.spare = spare;
    }

    public String getSpare() 
    {
        return spare;
    }
    public void setSpare1(String spare1) 
    {
        this.spare1 = spare1;
    }

    public String getSpare1() 
    {
        return spare1;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getIsSelection() {
        return isSelection;
    }

    public void setIsSelection(String isSelection) {
        this.isSelection = isSelection;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tId", gettId())
            .append("dtName", getDtName())
            .append("dtNickname", getDtNickname())
            .append("tableKey", getTableKey())
            .append("sqlKey", getSqlKey())
            .append("dtTableName", getDtTableName())
            .append("dtNotes", getDtNotes())
            .append("dtColumnName", getDtColumnName())
            .append("spare", getSpare())
            .append("spare1", getSpare1())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isSelection", getIsSelection())
            .toString();
    }
}
